Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.algorithms
Class AbstractBaseAlgorithm

    java.lang.Object
      org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithm

All Implemented Interfaces:
  CalculatedFieldAlgorithm

Direct Known Subclasses:
  SimpleFormula

public abstract class AbstractBaseAlgorithm
extends Object
implements CalculatedFieldAlgorithm

Abstract base class for algorithms.

This class implements the getTriggerWidgets method and holds the triggers list.

Version:
  $Id: AbstractBaseAlgorithm.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected List` | `triggers`

Constructor Summary
`AbstractBaseAlgorithm()`

Method Summary
`void` | `addTrigger(String widget)`
`void` | `clearTriggers()`
`Iterator` | `getTriggerWidgets()` Returns an iterator on trigger widget paths.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.CalculatedFieldAlgorithm
`calculate, isSuitableFor`

Field Detail

### triggers

    protected List triggers

Constructor Detail

### AbstractBaseAlgorithm

    public AbstractBaseAlgorithm()

Method Detail

### getTriggerWidgets

    public Iterator getTriggerWidgets()

  Description copied from interface: `CalculatedFieldAlgorithm`
  Returns an iterator on trigger widget paths. When the value of a trigger widget changes, then the `CalculatedField` value must be recalculated.

  Specified by:
    `getTriggerWidgets` in interface `CalculatedFieldAlgorithm`
  Returns:
    An iterator of Strings representing widget paths as interpreted by `WidgetFinder`.

### addTrigger

    public void addTrigger(String widget)

### clearTriggers

    public void clearTriggers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.